function display(m)
%DISPLAY Display an object of class linear
%    
%    DISPLAY(M) Display the object m of class linear %
%    
%    See also: 
%    
%    

%MAN_PAGE_BEGIN
%
%   @purpose	Display an object of class linear
%
%   @synopsis	display(m)
%   @description  Display the object m of class linear
%%
%   @see 
%
%MAN_PAGE_END

error(checkargs({m},1,'linear'));

ps = struct(m.mapping);
ps.linears = m.linears;

disp(' ');
disp([inputname(1),' =']);
disp(' ');
disp('A linear object with the following attributes');
disp(' ');
disp(ps);
disp(' ');
